time/kalarm - The NetBSD Packages Collection

Personal alarm scheduler

KAlarm is a personal alarm message, audio, command and email scheduler.

KAlarm provides a graphical interface to schedule personal timed events -
pop-up alarm messages, playing audio files, command execution and the sending
of emails. It has a wide range of options, including:

 * Configuring alarms to recur on an hours/minutes, daily, weekly, monthly or
   annual basis, or setting them to trigger every time you log in.

 * Choice of whether or not an alarm should be cancelled if it can't be
   triggered at its scheduled time. An alarm can only be triggered while you
   are logged in and running a graphical environment. If you choose not to
   cancel the alarm if it can't be triggered at the correct time, it will be
   triggered when you eventually log in.

Build dependencies

pkgtools/x11-links devel/boost-headers x11/xorgproto x11/xcb-proto x11/xcb-proto devel/extra-cmake-modules devel/cmake devel/kdoctools devel/glib2-tools pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

security/gnupg2 lang/perl5 devel/kidletime x11/qt5-qtbase devel/knotifyconfig graphics/hicolor-icon-theme mail/akonadi mail/kmailtransport mail/mailcommon misc/pimcommon time/kcalutils time/kholidays devel/kidletime x11/qt5-qtbase devel/knotifyconfig graphics/hicolor-icon-theme mail/akonadi mail/kmailtransport mail/mailcommon misc/pimcommon time/kcalutils time/kholidays

Binary packages

OSArchitectureVersion
NetBSD 10.0x86_64kalarm-23.08.4.tgz
NetBSD 9.0x86_64kalarm-23.08.4nb2.tgz
NetBSD 9.0x86_64kalarm-23.08.4.tgz
NetBSD 9.3x86_64kalarm-23.08.4nb2.tgz
NetBSD 9.3x86_64kalarm-23.08.4nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.